Bug 1308908 - (CVE-2016-2143) CVE-2016-2143 kernel: Fork of large process causes memory corruption
CVE-2016-2143 kernel: Fork of large process causes memory corruption
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160601,repor...
: Security
Depends On: 1308879 1316461 1341544 1341546 1341547 1341548
Blocks: 1308909
  Show dependency treegraph
 
Reported: 2016-02-16 07:36 EST by Adam Mariš
Modified: 2017-09-05 01:15 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was reported that on s390x, the fork of a process with four page table levels will cause memory corruption with a variety of symptoms. All processes are created with three level page table and a limit of 4TB for the address space. If the parent process has four page table levels with a limit of 8PB, the function that duplicates the address space will try to copy memory areas outside of the address space limit for the child process.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-05 01:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-16 07:36:22 EST
It was reported that on s390x, the fork of a process with four page table levels will cause memory corruption with a variety of symptoms. All processes are created with three level page table and a limit of 4TB for the address space.  If the parent process has four page table levels with a limit of 8PB, the function that duplicates the address space will try to copy memory areas outside of the address space limit for the child process.

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3446c13b268af86391d06611327006b059b8bab1
Comment 5 Petr Matousek 2016-06-01 05:31:29 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1341544]
Comment 7 errata-xmlrpc 2016-08-02 14:26:57 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1539 https://rhn.redhat.com/errata/RHSA-2016-1539.html
Comment 8 errata-xmlrpc 2016-11-15 14:38:48 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:2766 https://rhn.redhat.com/errata/RHSA-2016-2766.html

Note You need to log in before you can comment on or make changes to this bug.